\entry{Lisp history}{xi}{Lisp history}
\entry{Maclisp}{xi}{Maclisp}
\entry{Common Lisp}{xi}{Common Lisp}
\entry{Lisp Lists}{1}{Lisp Lists}
\entry{Flowers in a field}{1}{Flowers in a field}
\entry{Lisp Atoms}{1}{Lisp Atoms}
\entry{empty list defined}{2}{\samp {empty list} defined}
\entry{Symbolic expressions, introduced}{2}{Symbolic expressions, introduced}
\entry{expression defined}{2}{\samp {expression} defined}
\entry{form defined}{2}{\samp {form} defined}
\entry{Text between double quotation marks}{2}{Text between double quotation marks}
\entry{string defined}{2}{\samp {string} defined}
\entry{Whitespace in lists}{2}{Whitespace in lists}
\entry{Help typing lists}{3}{Help typing lists}
\entry{Formatting help}{3}{Formatting help}
\entry{Run a program}{3}{Run a program}
\entry{Program, running one}{3}{Program, running one}
\entry{evaluate defined}{3}{\samp {evaluate} defined}
\entry{Lisp interpreter, explained}{4}{Lisp interpreter, explained}
\entry{Interpreter, Lisp, explained}{4}{Interpreter, Lisp, explained}
\entry{Generate an error message}{4}{Generate an error message}
\entry{Error message generation}{4}{Error message generation}
\entry{function defined}{4}{\samp {function} defined}
\entry{Symbol names}{5}{Symbol names}
\entry{Lisp interpreter, what it does}{6}{Lisp interpreter, what it does}
\entry{Interpreter, what it does}{6}{Interpreter, what it does}
\entry{Special form}{6}{Special form}
\entry{Byte compiling}{6}{Byte compiling}
\entry{Evaluation}{7}{Evaluation}
\entry{side effect defined}{7}{\samp {side effect} defined}
\entry{Inner list evaluation}{7}{Inner list evaluation}
\entry{Evaluating inner lists}{7}{Evaluating inner lists}
\entry{Variables}{8}{Variables}
\entry{Symbol without value error}{9}{Symbol without value error}
\entry{Error for symbol without value}{9}{Error for symbol without value}
\entry{Arguments}{9}{Arguments}
\entry{Passing information to functions}{9}{Passing information to functions}
\entry{argument defined}{10}{\samp {argument} defined}
\entry{Data types}{10}{Data types}
\entry{Types of data}{10}{Types of data}
\entry{Arguments' data types}{10}{Arguments' data types}
\entry{concat}{10}{\code {concat}}
\entry{Variable number of arguments}{11}{Variable number of arguments}
\entry{Arguments, variable number of}{11}{Arguments, variable number of}
\entry{Wrong type of argument}{12}{Wrong type of argument}
\entry{Argument, wrong type of}{12}{Argument, wrong type of}
\entry{message}{13}{\code {message}}
\entry{Variable, setting value}{14}{Variable, setting value}
\entry{Setting value of variable}{14}{Setting value of variable}
\entry{bind defined}{14}{\samp {bind} defined}
\entry{set}{14}{\code {set}}
\entry{setq}{15}{\code {setq}}
\entry{Counting}{16}{Counting}
\entry{Practicing evaluation}{19}{Practicing evaluation}
\entry{Evaluation practice}{19}{Evaluation practice}
\entry{interactive function defined}{19}{\samp {interactive function} defined}
\entry{command defined}{19}{\samp {command} defined}
\entry{buffer-name}{19}{\code {buffer-name}}
\entry{buffer-file-name}{19}{\code {buffer-file-name}}
\entry{Buffer, history of word}{20}{Buffer, history of word}
\entry{nil, history of word}{20}{\code {nil}, history of word}
\entry{current-buffer}{21}{\code {current-buffer}}
\entry{other-buffer}{21}{\code {other-buffer}}
\entry{Getting a buffer}{21}{Getting a buffer}
\entry{switch-to-buffer}{22}{\code {switch-to-buffer}}
\entry{set-buffer}{22}{\code {set-buffer}}
\entry{Switching to a buffer}{22}{Switching to a buffer}
\entry{call defined}{22}{\samp {call} defined}
\entry{Size of buffer}{23}{Size of buffer}
\entry{Buffer size}{23}{Buffer size}
\entry{Point location}{23}{Point location}
\entry{Location of point}{23}{Location of point}
\entry{point defined}{23}{\samp {point} defined}
\entry{narrowing defined}{23}{\samp {narrowing} defined}
\entry{Definition writing}{25}{Definition writing}
\entry{Function definition writing}{25}{Function definition writing}
\entry{Writing a function definition}{25}{Writing a function definition}
\entry{Primitive functions}{25}{Primitive functions}
\entry{Functions, primitive}{25}{Functions, primitive}
\entry{C language primitives}{25}{C language primitives}
\entry{Primitives written in C}{25}{Primitives written in C}
\entry{defun}{25}{\code {defun}}
\entry{Special form of defun}{25}{Special form of \code {defun}}
\entry{function definition defined}{25}{\samp {function definition} defined}
\entry{body defined}{25}{\samp {body} defined}
\entry{argument list defined}{26}{\samp {argument list} defined}
\entry{* (multiplication)}{27}{\code {* \r {(multiplication)}}}
\entry{Install a Function Definition}{27}{Install a Function Definition}
\entry{Definition installation}{27}{Definition installation}
\entry{Function definition installation}{27}{Function definition installation}
\entry{Changing a function definition}{28}{Changing a function definition}
\entry{Function definition, how to change}{28}{Function definition, how to change}
\entry{Definition, how to change}{28}{Definition, how to change}
\entry{Comments in Lisp code}{28}{Comments in Lisp code}
\entry{Interactive functions}{28}{Interactive functions}
\entry{interactive}{28}{\code {interactive}}
\entry{Options for interactive}{30}{Options for \code {interactive}}
\entry{Interactive options}{30}{Interactive options}
\entry{Install code permanently}{31}{Install code permanently}
\entry{Permanent code installation}{31}{Permanent code installation}
\entry{Code installation}{31}{Code installation}
\entry{let}{32}{\code {let}}
\entry{local variable defined}{32}{\samp {local variable} defined}
\entry{let expression, parts of}{33}{\code {let} expression, parts of}
\entry{Parts of let expression}{33}{Parts of \code {let} expression}
\entry{varlist defined}{33}{\samp {varlist} defined}
\entry{Sample let expression}{33}{Sample \code {let} expression}
\entry{let expression sample}{33}{\code {let} expression sample}
\entry{Uninitialized let variables}{34}{Uninitialized \code {let} variables}
\entry{let variables uninitialized}{34}{\code {let} variables uninitialized}
\entry{if}{34}{\code {if}}
\entry{Conditional with if}{34}{Conditional with \code {if}}
\entry{if-part defined}{34}{\samp {if-part} defined}
\entry{then-part defined}{34}{\samp {then-part} defined}
\entry{{\tt\gtr} (greater than)}{35}{\code {{\tt\gtr} (greater than)}}
\entry{Else}{37}{Else}
\entry{Truth and falsehood in Lisp}{38}{Truth and falsehood in Lisp}
\entry{Falsehood and truth in Lisp}{38}{Falsehood and truth in Lisp}
\entry{nil}{38}{\code {nil}}
\entry{save-excursion}{39}{\code {save-excursion}}
\entry{Region, what it is}{39}{Region, what it is}
\entry{Preserving point, mark, and buffer}{39}{Preserving point, mark, and buffer}
\entry{Point, mark, buffer preservation}{39}{Point, mark, buffer preservation}
\entry{point}{39}{\code {point}}
\entry{mark}{39}{\code {mark}}
\entry{equal}{42}{\code {equal}}
\entry{eq}{42}{\code {eq}}
\entry{describe-function, introduced}{45}{\code {describe-function, \r {introduced}}}
\entry{Find function documentation}{45}{Find function documentation}
\entry{Find source of function}{45}{Find source of function}
\entry{TAGS table, specifying}{45}{TAGS table, specifying}
\entry{find-tags}{45}{\code {find-tags}}
\entry{Library, as term for `file'}{45}{Library, as term for `file'}
\entry{simplified-beginning-of-buffer}{45}{\code {simplified-beginning-of-buffer}}
\entry{describe-function}{47}{\code {describe-function}}
\entry{mark-whole-buffer}{47}{\code {mark-whole-buffer}}
\entry{append-to-buffer}{48}{\code {append-to-buffer}}
\entry{insert-buffer-substring}{48}{\code {insert-buffer-substring}}
\entry{Indentation for formatting}{51}{Indentation for formatting}
\entry{Formatting convention}{51}{Formatting convention}
\entry{copy-to-buffer}{55}{\code {copy-to-buffer}}
\entry{insert-buffer}{56}{\code {insert-buffer}}
\entry{interactive, example use of}{56}{\code {interactive, \r {example use of}}}
\entry{Read-only buffer}{56}{Read-only buffer}
\entry{Asterisk for read-only buffer}{56}{Asterisk for read-only buffer}
\entry{* for read-only buffer}{56}{\code {* \r {for read-only buffer}}}
\entry{or}{58}{\code {or}}
\entry{beginning-of-buffer}{60}{\code {beginning-of-buffer}}
\entry{Optional arguments}{61}{Optional arguments}
\entry{Keyword}{61}{Keyword}
\entry{optional}{61}{\code {optional}}
\entry{/ (division)}{63}{\code {/ \r {(division)}}}
\entry{Division}{63}{Division}
\entry{Focusing attention (narrowing)}{67}{Focusing attention (narrowing)}
\entry{Narrowing}{67}{Narrowing}
\entry{Widening}{67}{Widening}
\entry{save-restriction}{67}{\code {save-restriction}}
\entry{what-line}{68}{\code {what-line}}
\entry{Widening, example of}{68}{Widening, example of}
\entry{car, introduced}{71}{\code {car, \r {introduced}}}
\entry{cdr, introduced}{71}{\code {cdr, \r {introduced}}}
\entry{cons, introduced}{73}{\code {cons, \r {introduced}}}
\entry{length}{73}{\code {length}}
\entry{nthcdr}{74}{\code {nthcdr}}
\entry{setcar}{76}{\code {setcar}}
\entry{setcdr}{76}{\code {setcdr}}
\entry{Cutting and storing text}{79}{Cutting and storing text}
\entry{Storing and cutting text}{79}{Storing and cutting text}
\entry{Killing text}{79}{Killing text}
\entry{Clipping text}{79}{Clipping text}
\entry{Erasing text}{79}{Erasing text}
\entry{Deleting text}{79}{Deleting text}
\entry{zap-to-char}{80}{\code {zap-to-char}}
\entry{search-forward}{81}{\code {search-forward}}
\entry{progn}{82}{\code {progn}}
\entry{kill-region}{86}{\code {kill-region}}
\entry{delete-region}{86}{\code {delete-region}}
\entry{C, a digression into}{86}{C, a digression into}
\entry{Digression into C}{86}{Digression into C}
\entry{defvar}{88}{\code {defvar}}
\entry{Initializing a variable}{88}{Initializing a variable}
\entry{Variable initialization}{88}{Variable initialization}
\entry{edit-options, introduced}{88}{\code {edit-options, \r {introduced}}}
\entry{Options introduced}{88}{Options introduced}
\entry{copy-region-as-kill}{89}{\code {copy-region-as-kill}}
\entry{nthcdr}{89}{\code {nthcdr}}
\entry{eq (example of use)}{90}{\code {eq \r {(example of use)}}}
\entry{kill-append}{91}{\code {kill-append}}
\entry{Lists in a computer}{97}{Lists in a computer}
\entry{yank}{101}{\code {yank}}
\entry{rotate-yank-pointer}{101}{\code {rotate-yank-pointer}}
\entry{Text retrieval}{101}{Text retrieval}
\entry{Retrieving text}{101}{Retrieving text}
\entry{Pasting text}{101}{Pasting text}
\entry{Kill ring overview}{101}{Kill ring overview}
\entry{Loops and recursion}{105}{Loops and recursion}
\entry{Recursion and loops}{105}{Recursion and loops}
\entry{Repetition (loops)}{105}{Repetition (loops)}
\entry{Loops}{105}{Loops}
\entry{while}{105}{\code {while}}
\entry{print-elements-of-list}{107}{\code {print-elements-of-list}}
\entry{*scratch* buffer}{107}{\file {*scratch*} buffer}
\entry{{\tt\less}= (less than or equal)}{110}{\code {{\tt\less}= \r {(less than or equal)}}}
\entry{Argument as local variable}{114}{Argument as local variable}
\entry{Recursion}{114}{Recursion}
\entry{print-elements-recursively}{115}{\code {print-elements-recursively}}
\entry{triangle-recursively}{117}{\code {triangle-recursively}}
\entry{cond}{119}{\code {cond}}
\entry{Searches, illustrating}{121}{Searches, illustrating}
\entry{Regular expression searches}{121}{Regular expression searches}
\entry{Patterns, searching for}{121}{Patterns, searching for}
\entry{Motion by sentence and paragraph}{121}{Motion by sentence and paragraph}
\entry{Sentences, movement by}{121}{Sentences, movement by}
\entry{Paragraphs, movement by}{121}{Paragraphs, movement by}
\entry{sentence-end}{121}{\code {sentence-end}}
\entry{re-search-forward}{122}{\code {re-search-forward}}
\entry{forward-sentence}{123}{\code {forward-sentence}}
\entry{forward-paragraph}{126}{\code {forward-paragraph}}
\entry{and}{128}{\code {and}}
\entry{regexp-quote}{128}{\code {regexp-quote}}
\entry{prog1}{130}{\code {prog1}}
\entry{eobp}{130}{\code {eobp}}
\entry{looking-at}{130}{\code {looking-at}}
\entry{match-beginning}{132}{\code {match-beginning}}
\entry{etags}{134}{\code {etags}}
\entry{TAGS file, create own}{134}{\file {TAGS} file, create own}
\entry{Repetition for word counting}{137}{Repetition for word counting}
\entry{Regular expressions for word counting}{137}{Regular expressions for word counting}
\entry{count-words-region}{137}{\code {count-words-region}}
\entry{Count words recursively}{143}{Count words recursively}
\entry{Recursively counting words}{143}{Recursively counting words}
\entry{Words, counted recursively}{143}{Words, counted recursively}
\entry{recursive-count-words}{147}{\code {recursive-count-words}}
\entry{Counting words in a defun}{149}{Counting words in a \code {defun}}
\entry{Word counting in a defun}{149}{Word counting in a \code {defun}}
\entry{Words and symbols in defun}{149}{Words and symbols in defun}
\entry{Syntax categories and tables}{150}{Syntax categories and tables}
\entry{Counting words in a defun}{151}{Counting words in a \code {defun}}
\entry{count-words-in-defun}{153}{\code {count-words-in-defun}}
\entry{Find a File}{154}{Find a File}
\entry{lengths-list-file}{155}{\code {lengths-list-file}}
\entry{lengths-list-many-files}{157}{\code {lengths-list-many-files}}
\entry{recursive-lengths-list-many-files}{159}{\code {recursive-lengths-list-many-files}}
\entry{sort}{160}{\code {sort}}
\entry{directory-files}{161}{\code {directory-files}}
\entry{top-of-ranges}{162}{\code {top-of-ranges}}
\entry{nreverse}{163}{\code {nreverse}}
\entry{reverse}{163}{\code {reverse}}
\entry{Readying a graph}{167}{Readying a graph}
\entry{Graph prototype}{167}{Graph prototype}
\entry{Prototype graph}{167}{Prototype graph}
\entry{Body of graph}{167}{Body of graph}
\entry{apropos}{167}{\code {apropos}}
\entry{max}{169}{\code {max}}
\entry{min}{169}{\code {min}}
\entry{apply}{169}{\code {apply}}
\entry{graph-body-print}{172}{\code {graph-body-print}}
\entry{recursive-graph-body-print}{174}{\code {recursive-graph-body-print}}
\entry{.emacs file}{177}{\file {.emacs} file}
\entry{Customizing your .emacs file}{177}{Customizing your \file {.emacs} file}
\entry{Initialization file}{177}{Initialization file}
\entry{default.el init file}{177}{\file {default.el} init file}
\entry{site-init.el init file}{177}{\file {site-init.el} init file}
\entry{site-load.el init file}{177}{\file {site-load.el} init file}
\entry{edit-options}{178}{\code {edit-options}}
\entry{list-options}{178}{\code {list-options}}
\entry{Options, easily settable}{178}{Options, easily settable}
\entry{.emacs file, beginning of}{178}{\file {.emacs} file, beginning of}
\entry{Per-buffer, local variables list}{179}{Per-buffer, local variables list}
\entry{Local variables list, per-buffer,}{179}{Local variables list, per-buffer,}
\entry{Automatic mode selection}{179}{Automatic mode selection}
\entry{Mode selection, automatic}{179}{Mode selection, automatic}
\entry{Text Mode turned on}{180}{Text Mode turned on}
\entry{Auto Fill mode turned on}{180}{Auto Fill mode turned on}
\entry{add-hook}{180}{\code {add-hook}}
\entry{Mail aliases}{181}{Mail aliases}
\entry{Tabs, preventing}{181}{Tabs, preventing}
\entry{indent-tabs-mode}{181}{\code {indent-tabs-mode}}
\entry{compare-windows}{181}{\code {compare-windows}}
\entry{Setting a key globally}{182}{Setting a key globally}
\entry{Global set key}{182}{Global set key}
\entry{Key setting globally}{182}{Key setting globally}
\entry{global-set-key}{182}{\code {global-set-key}}
\entry{occur}{182}{\code {occur}}
\entry{global-unset-key}{182}{\code {global-unset-key}}
\entry{Unbinding key}{182}{Unbinding key}
\entry{Key unbinding}{182}{Key unbinding}
\entry{list-buffers, rebound}{182}{\code {list-buffers, \r {rebound}}}
\entry{buffer-menu, bound to key}{182}{\code {buffer-menu, \r {bound to key}}}
\entry{Loading files}{183}{Loading files}
\entry{load-path}{183}{\code {load-path}}
\entry{load-library}{183}{\code {load-library}}
\entry{autoload}{184}{\code {autoload}}
\entry{line-to-top-of-window}{184}{\code {line-to-top-of-window}}
\entry{Simple extension in .emacs file}{184}{Simple extension in \file {.emacs} file}
\entry{Conditional 'twixt Emacs 18 and 19}{186}{Conditional 'twixt Emacs 18 and 19}
\entry{Version of Emacs, choosing}{186}{Version of Emacs, choosing}
\entry{Emacs version, choosing}{186}{Emacs version, choosing}
\entry{Keymaps}{186}{Keymaps}
\entry{Rebinding keys}{186}{Rebinding keys}
\entry{default-mode-line-format}{189}{\code {default-mode-line-format}}
\entry{Mode line format}{189}{Mode line format}
\entry{debugging}{191}{debugging}
\entry{debug}{191}{\code {debug}}
\entry{triangle-bugged}{191}{\code {triangle-bugged}}
\entry{debug-on-error}{191}{\code {debug-on-error}}
\entry{*Backtrace* buffer}{192}{\file {*Backtrace*} buffer}
\entry{Backtrace buffer for debugging}{192}{Backtrace buffer for debugging}
\entry{debug-on-entry}{193}{\code {debug-on-entry}}
\entry{cancel-debug-on-entry}{194}{\code {cancel-debug-on-entry}}
\entry{debug-on-quit}{194}{\code {debug-on-quit}}
\entry{(debug) in code}{194}{\code {(debug)} in code}
\entry{Source level debugger}{194}{Source level debugger}
\entry{edebug}{194}{\code {edebug}}
\entry{the-the}{201}{\code {the-the}}
\entry{Duplicated words function}{201}{Duplicated words function}
\entry{Words, duplicated}{201}{Words, duplicated}
\entry{Kill ring handling}{203}{Kill ring handling}
\entry{Handling the kill ring}{203}{Handling the kill ring}
\entry{Ring, making a list like a}{203}{Ring, making a list like a}
\entry{rotate-yank-pointer}{203}{\code {rotate-yank-pointer}}
\entry{zerop}{204}{\code {zerop}}
\entry{error}{204}{\code {error}}
\entry{yank}{209}{\code {yank}}
\entry{yank-pop}{211}{\code {yank-pop}}
\entry{print-graph varlist}{214}{\code {print-graph} varlist}
\entry{Axis, print vertical}{214}{Axis, print vertical}
\entry{Y axis printing}{214}{Y axis printing}
\entry{Vertical axis printing}{214}{Vertical axis printing}
\entry{Print vertical axis}{214}{Print vertical axis}
\entry{% (remainder function)}{216}{\code {% \r {(remainder function)}}}
\entry{Remainder function, %}{216}{Remainder function, \code {%}}
\entry{Y-axis-label-spacing}{217}{\code {Y-axis-label-spacing}}
\entry{int-to-string}{217}{\code {int-to-string}}
\entry{Y-axis-tic}{217}{\code {Y-axis-tic}}
\entry{make-string}{218}{\code {make-string}}
\entry{Y-axis-column}{219}{\code {Y-axis-column}}
\entry{print-Y-axis}{219}{\code {print-Y-axis}}
\entry{Axis, print horizontal}{220}{Axis, print horizontal}
\entry{X axis printing}{220}{X axis printing}
\entry{Print horizontal axis}{220}{Print horizontal axis}
\entry{Horizontal axis printing}{220}{Horizontal axis printing}
\entry{print-X-axis-tic-line}{222}{\code {print-X-axis-tic-line}}
\entry{X-axis-element}{223}{\code {X-axis-element}}
\entry{print-X-axis-numbered-line}{223}{\code {print-X-axis-numbered-line}}
\entry{print-X-axis}{224}{\code {print-X-axis}}
\entry{Printing the whole graph}{225}{Printing the whole graph}
\entry{Whole graph printing}{225}{Whole graph printing}
\entry{Graph, printing all}{225}{Graph, printing all}
\entry{Y-axis-column Final version.}{225}{\code {Y-axis-column \r {Final version.}}}
\entry{graph-body-print Final version.}{226}{\code {graph-body-print \r {Final version.}}}
\entry{print-graph Final version.}{227}{\code {print-graph \r {Final version.}}}
\entry{Anonymous function}{229}{Anonymous function}
\entry{lambda}{229}{\code {lambda}}
\entry{mapcar}{230}{\code {mapcar}}
\entry{Bug, most insidious type}{231}{Bug, most insidious type}
\entry{Insidious type of bug}{231}{Insidious type of bug}
